Subject: Re: Problem using gdb with Microsoft .exe
From: [email-masked] (Geoffrey Noer)

30 Sep 1998 07:43:56 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: David Calabrese <[email-masked]>
Cc: [email-masked]

On Tue, Sep 29, 1998 at 01:45:58PM -0000, David Calabrese wrote:
>
> I'm trying to debug a program that was built using the Microsoft C++
> compiler.  I built the exe to include debug info.  
> 
> Is it possible to use gdb to debug this program?

No it isn't, the debugging info that gcc emits is different from what
VC++ does.  As a result, gdb does the best it can, which isn't a lot.

I know this isn't desirable; I'd certainly like complete VC++/gcc
compatibility but there are quite a few reasons why this isn't there
yet and isn't likely to happen soon.  One of the reasons is that,
as far as I know, documentation about the MS debugging format used by
VC++ isn't available.  :-(

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".